# $Revision: 1.19 $, $Date: 2002/06/25 10:02:37 $
Summary:	A free Socks v4/v5 client implementation
Summary(pl):	Implementacja klienta Socks v4/5
Name:		dante
Version:	1.1.13
Release:	1
License:	BSD-like
Group:		Networking/Daemons
Source0:	ftp://ftp.inet.no/pub/socks/%{name}-%{version}.tar.gz
Source1:	sockd.init
URL:		http://www.inet.no/dante/
BuildRequires:	autoconf
BuildRequires:	libwrap-devel
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dante is a free implementation of the proxy protocols socks version 4,
socks version 5 (rfc1928) and msproxy. It can be used as a firewall
between networks. It is being developed by Inferno Nettverk A/S, a
Norwegian consulting company. Commercial support is available.

This package contains the dynamic libraries required to "socksify"
existing applications to become socks clients.

%description -l pl
Dante jest darmow implementacj protokow proxy: socks w wersji 4,
socks w wersji 5 (rfc1928) oraz msproxy. Moe by uywany jako zapora
pomidzy sieciami. Implementacja jest rozwijana przez Inferno Nettverk
A/S - Norwesk firm konsultingow. Komercyjne wsparcie jest dostpne.

Ten pakiet zawiera dynamiczne biblioteki wymagane do "usocksowiania"
istniejcych aplikacji tak by dziaay one jako klienci socks.

%package server
Summary:	A free Socks v4/v5 server implementation
Summary(pl):	Implementacja serwera Socks v4/5
Group:		Networking/Daemons
Requires:	%{name} = %{version}
Prereq:		/sbin/chkconfig

%description server
This package contains the socks proxy daemon and its documentation.
The sockd is the server part of the Dante socks proxy package and
allows socks clients to connect through it to the network.

%description server -l pl
Ten pakiet zawiera serwer proxy socks oraz jego dokumentacj. Serwer
sockd jest czci pakietu proxy Dante. Za porednictwem serwera
klienci mog czy si z serwerami w sieci.

%package devel
Summary:	development libraries for socks
Summary(pl):	Biblioteki developerskie dla socks
Group:		Networking/Daemons
Requires:	%{name} = %{version}

%description devel
Additional libraries required to compile programs that use socks.

%description devel -l pl
Dodatkowe biblioteki wymagane do rozwoju programw korzystajcych z
socks.

%package static
Summary:	Static libraries for socks
Summary(pl):	Statyczne biblioteki socks
Group:		Networking/Daemons
Requires:	%{name}-devel = %{version}

%description static
Static libraries for socks.

%description static -l pl
Statyczne biblioteki socks.

%prep
%setup -q

%build
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/etc/rc.d/init.d}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install example/sock{s,d}.conf ${RPM_BUILD_ROOT}%{_sysconfdir}

install %{SOURCE1} ${RPM_BUILD_ROOT}/etc/rc.d/init.d/sockd

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post server
/sbin/chkconfig --add sockd
if [ -f /var/lock/subsys/sockd ]; then
	/etc/rc.d/init.d/sockd restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/sockd start\" to start dante sockd daemon."
fi

%postun server
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/sockd ]; then
		/etc/rc.d/init.d/sockd stop 1>&2
	fi
	/sbin/chkconfig --del sockd
fi

%files
%defattr(644,root,root,755)
%doc BUGS CREDITS LICENSE NEWS README SUPPORT TODO
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/socks.conf
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %{_bindir}/socksify
%{_mandir}/man5/socks.conf.5*

%files server
%defattr(644,root,root,755)
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/sockd.conf
%attr(754,root,root) /etc/rc.d/init.d/sockd
%attr(755,root,root) %{_sbindir}/sockd
%{_mandir}/man8/sockd.8*
%{_mandir}/man5/sockd.conf.5*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: dante.spec,v $
Revision 1.19  2002/06/25 10:02:37  areq
- Version 1.1.13, which fixes several bugs
- STBR

Revision 1.18  2002/06/05 19:08:10  kloczek
- standarize %post/%postun in server subpackage.

Revision 1.17  2002/06/05 19:00:26  kloczek
- use new %doc.

Revision 1.16  2002/06/05 18:39:50  marcus
- new version 1.1.12

Revision 1.15  2002/05/21 23:12:47  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.14  2002/04/25 16:09:14  arturs
fixed a small typo

Revision 1.13  2002/04/12 20:25:30  marcus
- canged %%configure2_13 to %%configure and autoconf
- rel.2.

Revision 1.12  2002/04/02 18:36:15  kloczek
- removed using %%{__install} macro.

Revision 1.11  2002/03/27 12:03:18  roman
s/BSD-type/BSD-like License

Revision 1.10  2002/02/23 01:44:58  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:28:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:12:39  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/11/14 11:43:43  filon
- changed to %%%configure2_13, to make it build

Revision 1.6  2001/09/24 12:09:34  qboosh
- server Prereq: /sbin/chkconfig

Revision 1.5  2001/07/26 05:42:06  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.3  2001/05/15 21:04:35  misiek
added pl translations

Revision 1.2  2001/03/15 04:57:33  kloczek
- added headers to devel,
- added static subpackage,
- simplifications in %install and %build,
- spec adapterized,
- few other fixes in %files.

Revision 1.1  2001/03/14 21:47:49  areq
- Initial PLD version based on mandrake spec
